Skip to content
Get started

Adds or updates lines on an existing product list.

POST/api/v2/public/stores/{store_number}/productlists/{id}

Adds or updates lines on an existing product list.

Path ParametersExpand Collapse
store_number: string
id: number
formatint64
Header ParametersExpand Collapse
api_key: optional string
Body ParametersJSONExpand Collapse
lines: optional array of object { quantity, article_no, barcode, 2 more }

The product list lines to add or update.

quantity: number

Quantity on the line.

formatdouble
Deprecatedarticle_no: optional string

Deprecated. Use product_number instead. Still accepted on input for backwards compatibility.

barcode: optional string

The product barcode.

product_number: optional string

Product number identifying the line item.

stock_pool: optional string

Stock pool the line targets.

ReturnsExpand Collapse
code: optional number
formatint32
data: optional string
message: optional string
status: optional string

Adds or updates lines on an existing product list.

curl https://api.colleqtive.net/api/v2/public/stores/$STORE_NUMBER/productlists/$ID \
    -X POST \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
{
  "code": 0,
  "data": "data",
  "message": "message",
  "status": "status"
}
Returns Examples
{
  "code": 0,
  "data": "data",
  "message": "message",
  "status": "status"
}